package com.iamberry.wechat.core.entity.member;

import java.io.Serializable;
import java.util.Date;

import com.iamberry.wechat.core.entity.PageBean;
/**
 * 
 *		description: 会员积分实体类
 * 	   		@author: 张应真
 *	    @createDate: 2016年4月19日
 */
public class Integral implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 5301819915321786026L;
	private Integer integralLogsId;					//记录ID
	private String integralLogsOpenid;				//所属用户,外键
	private Integer integralLogsNum;				//记录积分数量
	private Integer integralLogsType;				//记录类型		1支出		2收入
	private String integralLogsIntroduction;		//记录简介
	private Integer integralLogsResType;	//记录来源类型 	1:订单收入 2:提现支出 3:订单支出  4:线下返利5:订单奖励6:退订返还
	private Date integralLogsCreateDate;			//创建时间
	
	private PageBean page;
	public Integer getIntegralLogsId() {
		return integralLogsId;
	}
	public void setIntegralLogsId(Integer integralLogsId) {
		this.integralLogsId = integralLogsId;
	}
	public String getIntegralLogsOpenid() {
		return integralLogsOpenid;
	}
	public void setIntegralLogsOpenid(String integralLogsOpenid) {
		this.integralLogsOpenid = integralLogsOpenid;
	}
	public Integer getIntegralLogsNum() {
		return integralLogsNum;
	}
	public void setIntegralLogsNum(Integer integralLogsNum) {
		this.integralLogsNum = integralLogsNum;
	}
	public Integer getIntegralLogsType() {
		return integralLogsType;
	}
	public void setIntegralLogsType(Integer integralLogsType) {
		this.integralLogsType = integralLogsType;
	}
	public String getIntegralLogsIntroduction() {
		return integralLogsIntroduction;
	}
	public void setIntegralLogsIntroduction(String integralLogsIntroduction) {
		this.integralLogsIntroduction = integralLogsIntroduction;
	}
	public Integer getIntegralLogsResType() {
		return integralLogsResType;
	}
	public void setIntegralLogsResType(Integer integralLogsResType) {
		this.integralLogsResType = integralLogsResType;
	}
	public Date getIntegralLogsCreateDate() {
		return integralLogsCreateDate;
	}
	public void setIntegralLogsCreateDate(Date integralLogsCreateDate) {
		this.integralLogsCreateDate = integralLogsCreateDate;
	}
	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	public Integral(Integer integralLogsId, String integralLogsOpenid,
			Integer integralLogsNum, Integer integralLogsType,
			String integralLogsIntroduction, Integer integralLogsResType,
			Date integralLogsCreateDate) {
		super();
		this.integralLogsId = integralLogsId;
		this.integralLogsOpenid = integralLogsOpenid;
		this.integralLogsNum = integralLogsNum;
		this.integralLogsType = integralLogsType;
		this.integralLogsIntroduction = integralLogsIntroduction;
		this.integralLogsResType = integralLogsResType;
		this.integralLogsCreateDate = integralLogsCreateDate;
	}
	public Integral() {
		super();
		// TODO Auto-generated constructor stub
	}
	@Override
	public String toString() {
		return "Integral [integralLogsId=" + integralLogsId
				+ ", integralLogsOpenid=" + integralLogsOpenid
				+ ", integralLogsNum=" + integralLogsNum
				+ ", integralLogsType=" + integralLogsType
				+ ", integralLogsIntroduction=" + integralLogsIntroduction
				+ ", integralLogsResType=" + integralLogsResType
				+ ", integralLogsCreateDate=" + integralLogsCreateDate + "]";
	}
	
	
} 
